unit gppAbout;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FPUrlLabel, ExtCtrls, ComCtrls;

type
  TfrmAbout = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    Image1: TImage;
    lblVersion: TLabel;
    Label3: TLabel;
    urlHome: TFPUrlLabel;
    urlAuthor: TFPUrlLabel;
    Bevel3: TBevel;
    Label4: TLabel;
    Image2: TImage;
    Bevel1: TBevel;
    Label1: TLabel;
    FPUrlLabel1: TFPUrlLabel;
    FPUrlLabel3: TFPUrlLabel;
    FPUrlLabel4: TFPUrlLabel;
    FPUrlLabel6: TFPUrlLabel;
    Label10: TLabel;
    Label8: TLabel;
    Label7: TLabel;
    Label5: TLabel;
    Shape1: TShape;
    Shape3: TShape;
    Shape4: TShape;
    FPUrlLabel2: TFPUrlLabel;
    Label9: TLabel;
    Label13: TLabel;
    Label6: TLabel;
    Label11: TLabel;
    FPUrlLabel15: TFPUrlLabel;
    Label12: TLabel;
    Bevel2: TBevel;
    Shape2: TShape;
    Label14: TLabel;
    urlHandsOn: TFPUrlLabel;
    Label15: TLabel;
    Shape5: TShape;
    Label16: TLabel;
    Shape6: TShape;
    Label2: TLabel;
    Shape7: TShape;
    Shape8: TShape;
    Shape9: TShape;
    Shape10: TShape;
    FPUrlLabel5: TFPUrlLabel;
    Shape11: TShape;
    Label17: TLabel;
    FPUrlLabel7: TFPUrlLabel;
    Label18: TLabel;
    FPUrlLabel8: TFPUrlLabel;
    Shape12: TShape;
    Label19: TLabel;
    urlF1: TFPUrlLabel;
    TabSheet4: TTabSheet;
    RichEdit1: TRichEdit;
    TabSheet5: TTabSheet;
    RichEdit2: TRichEdit;
    Shape13: TShape;
    Label20: TLabel;
    FPUrlLabel9: TFPUrlLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure urlHandsOnClick(Sender: TObject);
    procedure urlF1Click(Sender: TObject);
  private
  public
  end;

var
  frmAbout: TfrmAbout;

implementation

uses
  GpVersion,
  GpIFF;      

{$R *.DFM}
{$R BAGGAGE.RES}

{$I HELP.INC}
{$I BAGGAGE.INC} // IDD_WHATSNEW, IDD_OPENSOURCE

procedure TfrmAbout.FormCreate(Sender: TObject);
var
  verInfo: TGpVersionInfo;
  stream : TResourceStream;
begin
  PageControl1.ActivePage := TabSheet1;
  verInfo := TGpVersionInfo.Create(ParamStr(0));
  try
    lblVersion.Caption := Format(lblVersion.Caption,[verInfo.GetVersion(IFF(verInfo.IsDebug,verFullDotted,verShort2to4))]);
    if verInfo.IsPrivateBuild then lblVersion.Caption := lblVersion.Caption + ' internal';
    if verInfo.IsPrerelease then lblVersion.Caption := lblVersion.Caption + ' beta';
  finally verInfo.Free; end;
  stream := TResourceStream.CreateFromID(HInstance, IDD_WHATSNEW, RT_RCDATA);
  try RichEdit1.Lines.LoadFromStream(stream);
  finally stream.Free; end;
  stream := TResourceStream.CreateFromID(HInstance, IDD_OPENSOURCE, RT_RCDATA);
  try RichEdit2.Lines.LoadFromStream(stream);
  finally stream.Free; end;
end;

procedure TfrmAbout.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #27 then ModalResult := mrOK;
end;

procedure TfrmAbout.urlHandsOnClick(Sender: TObject);
begin
  Application.HelpContext(_Handson);
end;

procedure TfrmAbout.urlF1Click(Sender: TObject);
begin
  Application.HelpContext(_WhatisGpProfile);
end;

end.
